- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization Scopes
- IAM Permissions
Downloads an integration. Retrieves the IntegrationVersion for a given integration_id and returns the response as a string.
HTTP request
GET https://integrations.googleapis.com/v1/{name=projects/*/locations/*/products/*/integrations/*/versions/*}:download
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The version to download. Format: projects/{project}/locations/{location}/integrations/{integration}/versions/{version} |
Query parameters
| Parameters | |
|---|---|
fileFormat |
File format for download request. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of DownloadIntegrationVersionResponse.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires one of the following IAM permissions on the name resource, depending on the resource type:
integrations.apigeeIntegrationVers.getintegrations.integrationVersions.get
For more information, see the IAM documentation.